Bug 1077794 - Review Request: copr-frontend - Frontend for Copr
Summary: Review Request: copr-frontend - Frontend for Copr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 15:11 UTC by Miroslav Suchý
Modified: 2014-09-09 22:20 UTC (History)
3 users (show)

Fixed In Version: copr-frontend-1.44-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 22:16:00 UTC
Type: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2014-03-18 15:11:26 UTC
Spec URL: http://miroslav.suchy.cz/copr/copr-frontend.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-frontend-1.29-1.fc20.src.rpm
Description: 
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latests builds.
This package contains frontend.

Fedora Account System Username: msuchy

Comment 1 Antonio T. (sagitter) 2014-04-11 19:19:53 UTC
>cp -a documentation/python-doc %{buildroot}%{_pkgdocdir}/

%{buildroot}%{_pkgdocdir} directory is not created. Package build fails.

Comment 3 Antonio T. (sagitter) 2014-05-21 14:00:53 UTC
- Pre-installation scriptlet fails. There is a missing R package.
  Add 'passwd' as Requires package.

- Remove 'make' as BR package.

- 'copr-frontend-doc' is a standalone package for documentation files.
It must be a noarch package and must be provided by an own LICENSE file.
(https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing)

- '/usr/share/doc/copr-frontend' is not owned.

- ... %{_arch} == "x86_64" 

Usually I use this form

if [ %{__isa_bits} = "64" ]; then
 ...
fi

- Same error repeats during make's operations:

  Error: ImportError: No module named alembic (line 13)

- %check section is not performed yet; I will do in the final review.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: make
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 5509120 bytes in 294 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 57 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1077794-copr-frontend/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/copr-frontend
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
    ## An explicit setting of the permissions on files may be necessary; copr-fe group is
    ## expressly created during package installation.

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[?]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[?]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in copr-
     frontend-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.38 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.38
INFO: Mock Version: 1.1.38
Start: lock buildroot
INFO: installing package(s): /home/sagitter/1077794-copr-frontend/results/copr-frontend-1.35-1.fc21.noarch.rpm /home/sagitter/1077794-copr-frontend/results/copr-frontend-doc-1.35-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-i386/root/', '--releasever', '21', 'install', '/home/sagitter/1077794-copr-frontend/results/copr-frontend-1.35-1.fc21.noarch.rpm', '/home/sagitter/1077794-copr-frontend/results/copr-frontend-doc-1.35-1.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']

================================================================================
 Package                   Arch   Version                         Repository
                                                                           Size
================================================================================
Installing:
 copr-frontend             noarch 1.35-1.fc21                     /copr-frontend-1.35-1.fc21.noarch
                                                                          5.6 M
 copr-frontend-doc         noarch 1.35-1.fc21                     /copr-frontend-doc-1.35-1.fc21.noarch
                                                                          5.0 M
Installing for dependencies:
 acl                       i686   2.2.52-4.fc21                   fedora   70 k
 apr                       i686   1.5.1-1.fc21                    fedora  111 k
 apr-util                  i686   1.5.3-1.fc21                    fedora   91 k
 cryptopp                  i686   5.6.2-3.fc21                    fedora  1.0 M
 cryptsetup-libs           i686   1.6.4-2.fc21                    fedora  177 k
 dbus                      i686   1:1.6.18-3.fc21                 fedora  313 k
 dbus-libs                 i686   1:1.6.18-3.fc21                 fedora  151 k
 device-mapper             i686   1.02.85-3.fc21                  fedora  204 k
 device-mapper-libs        i686   1.02.85-3.fc21                  fedora  236 k
 fedora-logos-httpd        noarch 21.0.3-1.fc21                   fedora   27 k
 fipscheck                 i686   1.4.1-4.fc21                    fedora   20 k
 fipscheck-lib             i686   1.4.1-4.fc21                    fedora  9.5 k
 gnutls                    i686   3.3.2-1.fc21                    fedora  579 k
 gpgme                     i686   1.4.3-1.fc21                    fedora  151 k
 httpd                     i686   2.4.9-3.fc21                    fedora  1.2 M
 httpd-tools               i686   2.4.9-3.fc21                    fedora   77 k
 kmod                      i686   17-1.fc21                       fedora  109 k
 kmod-libs                 i686   17-1.fc21                       fedora   47 k
 libmicrohttpd             i686   0.9.34-2.fc21                   fedora   57 k
 libseccomp                i686   2.1.1-2.fc21                    fedora   38 k
 libxslt                   i686   1.1.28-6.fc21                   fedora  237 k
 mailcap                   noarch 2.1.42-1.fc21                   fedora   30 k
 mod_wsgi                  i686   3.4-13.fc21                     fedora   76 k
 nettle                    i686   2.7.1-3.fc21                    fedora  329 k
 postgresql-libs           i686   9.3.4-2.fc21                    fedora  231 k
 pyOpenSSL                 i686   0.13.1-1.fc21                   fedora  130 k
 pycryptopp                i686   0.6.0.1206569328141510525648634803928199668821045408958-4.fc21
                                                                  fedora  171 k
 pygpgme                   i686   0.3-8.fc21                      fedora   61 k
 pyliblzma                 i686   0.5.3-10.fc21                   fedora   45 k
 pytest                    noarch 2.5.2-1.fc21                    fedora  1.0 M
 python                    i686   2.7.6-7.fc21                    fedora   85 k
 python-alembic            noarch 0.6.3-1.fc21                    fedora  327 k
 python-babel              noarch 1.3-3.fc21                      fedora  2.4 M
 python-backports          i686   1.0-3.fc21                      fedora  3.7 k
 python-backports-ssl_match_hostname
                           noarch 3.4.0.2-1.fc21                  fedora   11 k
 python-beaker             noarch 1.5.4-8.fc20                    fedora   80 k
 python-blinker            noarch 1.3-1.fc21                      fedora   92 k
 python-cssselect          noarch 0.9.1-1.fc21                    fedora   57 k
 python-decorator          noarch 3.4.0-3.fc20                    fedora   27 k
 python-flask              noarch 1:0.10.1-3.fc20                 fedora  204 k
 python-flask-openid       noarch 1.2-1.fc21                      fedora   47 k
 python-flask-script       noarch 0.6.7-1.fc21                    fedora  114 k
 python-flask-sqlalchemy   noarch 1.0-2.fc21                      fedora  101 k
 python-flask-whooshee     noarch 0.0.6-1.fc21                    fedora   19 k
 python-flask-wtf          noarch 0.8-3.fc20                      fedora   45 k
 python-flexmock           noarch 0.9.6-3.fc20                    fedora   31 k
 python-iniparse           noarch 0.4-12.fc21                     fedora   39 k
 python-itsdangerous       noarch 0.24-1.fc21                     fedora   23 k
 python-jinja2             noarch 2.7.2-1.fc21                    fedora  514 k
 python-lxml               i686   3.3.5-1.fc21                    fedora  798 k
 python-mako               noarch 0.9.1-2.fc21                    fedora  153 k
 python-markdown           noarch 2.4-1.fc21                      fedora  189 k
 python-markupsafe         i686   0.23-2.fc21                     fedora   29 k
 python-openid             noarch 2.2.5-7.fc21                    fedora  210 k
 python-paste              noarch 1.7.5.1-9.20111221hg1498.fc21   fedora  865 k
 python-psycopg2           i686   2.5.2-1.fc21                    fedora  129 k
 python-py                 noarch 1.4.20-2.fc21                   fedora  344 k
 python-pycurl             i686   7.19.3.1-1.fc21                 fedora  141 k
 python-pydns              noarch 2.3.6-1.fc20                    fedora   39 k
 python-pylibravatar       noarch 1.6-2.fc21                      fedora   10 k
 python-setuptools         noarch 2.0-2.fc21                      fedora  387 k
 python-six                noarch 1.6.1-1.fc21                    fedora   24 k
 python-sqlalchemy         i686   0.9.4-1.fc21                    fedora  3.3 M
 python-tempita            noarch 0.5.1-6.fc20                    fedora   33 k
 python-urlgrabber         noarch 3.10.1-0.fc21                   fedora  106 k
 python-werkzeug           noarch 0.9.4-1.fc21                    fedora  564 k
 python-whoosh             noarch 2.5.7-1.fc21                    fedora  1.1 M
 python-wtforms            noarch 1.0.2-3.fc20                    fedora  377 k
 python3                   i686   3.3.2-12.fc21                   fedora   43 k
 python3-blinker           noarch 1.3-1.fc21                      fedora   93 k
 python3-flask             noarch 1:0.10.1-3.fc20                 fedora  216 k
 python3-flask-sqlalchemy  noarch 1.0-2.fc21                      fedora  102 k
 python3-itsdangerous      noarch 0.24-1.fc21                     fedora   24 k
 python3-jinja2            noarch 2.7.2-1.fc21                    fedora  521 k
 python3-libs              i686   3.3.2-12.fc21                   fedora  6.1 M
 python3-markupsafe        i686   0.23-2.fc21                     fedora   30 k
 python3-sqlalchemy        i686   0.9.4-1.fc21                    fedora  3.4 M
 python3-werkzeug          noarch 0.9.4-1.fc21                    fedora  569 k
 python3-whoosh            noarch 2.5.7-1.fc21                    fedora  1.1 M
 pytz                      noarch 2012d-5.fc20                    fedora   38 k
 pyxattr                   i686   0.5.1-4.fc21                    fedora   27 k
 qrencode-libs             i686   3.4.2-1.fc21                    fedora   50 k
 rpm-python                i686   4.11.2-10.fc21                  fedora   76 k
 systemd                   i686   212-4.fc21                      fedora  3.9 M
 trousers                  i686   0.3.13-1.fc21                   fedora  292 k
 yum                       noarch 3.4.3-146.fc21                  fedora  1.2 M
 yum-metadata-parser       i686   1.1.4-11.fc21                   fedora   27 k

Transaction Summary
================================================================================
Install  2 Packages (+87 Dependent packages)

Total size: 48 M
Total download size: 11 M
Installed size: 188 M
Delta RPMs reduced 3.9 M of updates to 1.3 M (68% saved)
warning: /etc/yum.conf created as /etc/yum.conf.rpmnew
/var/tmp/rpm-tmp.HfHfQv: line 4: /usr/bin/passwd: No such file or directory
error: %pre(copr-frontend-1.35-1.fc21.noarch) scriptlet failed, exit status 127
Error in PREIN scriptlet in rpm package copr-frontend-1.35-1.fc21.noarch
error: copr-frontend-1.35-1.fc21.noarch: install failed

Installed:
  copr-frontend-doc.noarch 0:1.35-1.fc21                                        

Dependency Installed:
  acl.i686 0:2.2.52-4.fc21                                                      
  apr.i686 0:1.5.1-1.fc21                                                       
  apr-util.i686 0:1.5.3-1.fc21                                                  
  cryptopp.i686 0:5.6.2-3.fc21                                                  
  cryptsetup-libs.i686 0:1.6.4-2.fc21                                           
  dbus.i686 1:1.6.18-3.fc21                                                     
  dbus-libs.i686 1:1.6.18-3.fc21                                                
  device-mapper.i686 0:1.02.85-3.fc21                                           
  device-mapper-libs.i686 0:1.02.85-3.fc21                                      
  fedora-logos-httpd.noarch 0:21.0.3-1.fc21                                     
  fipscheck.i686 0:1.4.1-4.fc21                                                 
  fipscheck-lib.i686 0:1.4.1-4.fc21                                             
  gnutls.i686 0:3.3.2-1.fc21                                                    
  gpgme.i686 0:1.4.3-1.fc21                                                     
  httpd.i686 0:2.4.9-3.fc21                                                     
  httpd-tools.i686 0:2.4.9-3.fc21                                               
  kmod.i686 0:17-1.fc21                                                         
  kmod-libs.i686 0:17-1.fc21                                                    
  libmicrohttpd.i686 0:0.9.34-2.fc21                                            
  libseccomp.i686 0:2.1.1-2.fc21                                                
  libxslt.i686 0:1.1.28-6.fc21                                                  
  mailcap.noarch 0:2.1.42-1.fc21                                                
  mod_wsgi.i686 0:3.4-13.fc21                                                   
  nettle.i686 0:2.7.1-3.fc21                                                    
  postgresql-libs.i686 0:9.3.4-2.fc21                                           
  pyOpenSSL.i686 0:0.13.1-1.fc21                                                
  pycryptopp.i686 0:0.6.0.1206569328141510525648634803928199668821045408958-4.fc21
  pygpgme.i686 0:0.3-8.fc21                                                     
  pyliblzma.i686 0:0.5.3-10.fc21                                                
  pytest.noarch 0:2.5.2-1.fc21                                                  
  python.i686 0:2.7.6-7.fc21                                                    
  python-alembic.noarch 0:0.6.3-1.fc21                                          
  python-babel.noarch 0:1.3-3.fc21                                              
  python-backports.i686 0:1.0-3.fc21                                            
  python-backports-ssl_match_hostname.noarch 0:3.4.0.2-1.fc21                   
  python-beaker.noarch 0:1.5.4-8.fc20                                           
  python-blinker.noarch 0:1.3-1.fc21                                            
  python-cssselect.noarch 0:0.9.1-1.fc21                                        
  python-decorator.noarch 0:3.4.0-3.fc20                                        
  python-flask.noarch 1:0.10.1-3.fc20                                           
  python-flask-openid.noarch 0:1.2-1.fc21                                       
  python-flask-script.noarch 0:0.6.7-1.fc21                                     
  python-flask-sqlalchemy.noarch 0:1.0-2.fc21                                   
  python-flask-whooshee.noarch 0:0.0.6-1.fc21                                   
  python-flask-wtf.noarch 0:0.8-3.fc20                                          
  python-flexmock.noarch 0:0.9.6-3.fc20                                         
  python-iniparse.noarch 0:0.4-12.fc21                                          
  python-itsdangerous.noarch 0:0.24-1.fc21                                      
  python-jinja2.noarch 0:2.7.2-1.fc21                                           
  python-lxml.i686 0:3.3.5-1.fc21                                               
  python-mako.noarch 0:0.9.1-2.fc21                                             
  python-markdown.noarch 0:2.4-1.fc21                                           
  python-markupsafe.i686 0:0.23-2.fc21                                          
  python-openid.noarch 0:2.2.5-7.fc21                                           
  python-paste.noarch 0:1.7.5.1-9.20111221hg1498.fc21                           
  python-psycopg2.i686 0:2.5.2-1.fc21                                           
  python-py.noarch 0:1.4.20-2.fc21                                              
  python-pycurl.i686 0:7.19.3.1-1.fc21                                          
  python-pydns.noarch 0:2.3.6-1.fc20                                            
  python-pylibravatar.noarch 0:1.6-2.fc21                                       
  python-setuptools.noarch 0:2.0-2.fc21                                         
  python-six.noarch 0:1.6.1-1.fc21                                              
  python-sqlalchemy.i686 0:0.9.4-1.fc21                                         
  python-tempita.noarch 0:0.5.1-6.fc20                                          
  python-urlgrabber.noarch 0:3.10.1-0.fc21                                      
  python-werkzeug.noarch 0:0.9.4-1.fc21                                         
  python-whoosh.noarch 0:2.5.7-1.fc21                                           
  python-wtforms.noarch 0:1.0.2-3.fc20                                          
  python3.i686 0:3.3.2-12.fc21                                                  
  python3-blinker.noarch 0:1.3-1.fc21                                           
  python3-flask.noarch 1:0.10.1-3.fc20                                          
  python3-flask-sqlalchemy.noarch 0:1.0-2.fc21                                  
  python3-itsdangerous.noarch 0:0.24-1.fc21                                     
  python3-jinja2.noarch 0:2.7.2-1.fc21                                          
  python3-libs.i686 0:3.3.2-12.fc21                                             
  python3-markupsafe.i686 0:0.23-2.fc21                                         
  python3-sqlalchemy.i686 0:0.9.4-1.fc21                                        
  python3-werkzeug.noarch 0:0.9.4-1.fc21                                        
  python3-whoosh.noarch 0:2.5.7-1.fc21                                          
  pytz.noarch 0:2012d-5.fc20                                                    
  pyxattr.i686 0:0.5.1-4.fc21                                                   
  qrencode-libs.i686 0:3.4.2-1.fc21                                             
  rpm-python.i686 0:4.11.2-10.fc21                                              
  systemd.i686 0:212-4.fc21                                                     
  trousers.i686 0:0.3.13-1.fc21                                                 
  yum.noarch 0:3.4.3-146.fc21                                                   
  yum-metadata-parser.i686 0:1.1.4-11.fc21                                      

Failed:
  copr-frontend.noarch 0:1.35-1.fc21                                            




Rpmlint
-------
Checking: copr-frontend-1.35-1.fc21.noarch.rpm
          copr-frontend-doc-1.35-1.fc21.noarch.rpm
          copr-frontend-1.35-1.fc21.src.rpm
copr-frontend.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/whooshee/copr_user_whoosheer copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/whooshee/copr_user_whoosheer copr-fe
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data copr-fe
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr_unit_test.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr_unit_test.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr_unit_test.conf 0600L
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr_devel.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr_devel.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr_devel.conf 0600L
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/copr.db copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/copr.db copr-fe
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr.conf 0600L
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/openid_store copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/openid_store copr-fe
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/whooshee copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/whooshee copr-fe
copr-frontend-doc.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-frontend.src: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-frontend.src: W: invalid-url Source0: copr-frontend-1.35.tar.gz
3 packages and 0 specfiles checked; 3 errors, 20 warnings.




Requires
--------
copr-frontend (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    config(copr-frontend)
    httpd
    mod_wsgi
    pytest
    python-alembic
    python-blinker
    python-decorator
    python-flask
    python-flask-openid
    python-flask-script
    python-flask-sqlalchemy
    python-flask-whooshee
    python-flask-wtf
    python-flexmock
    python-markdown
    python-psycopg2
    python-pylibravatar
    python-whoosh
    pytz
    yum

copr-frontend-doc (rpmlib, GLIBC filtered):



Provides
--------
copr-frontend:
    config(copr-frontend)
    copr-frontend

copr-frontend-doc:
    copr-frontend-doc



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1077794
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Miroslav Suchý 2014-05-21 15:14:51 UTC
> - Pre-installation scriptlet fails. There is a missing R package.
>   Add 'passwd' as Requires package.

fixed

> - Remove 'make' as BR package.

fixed

> - 'copr-frontend-doc' is a standalone package for documentation files.
> It must be a noarch package and must be provided by an own LICENSE file.

fixed
 
> - '/usr/share/doc/copr-frontend' is not owned.

fixed

> - ... %{_arch} == "x86_64" 
> Usually I use this form
> if [ %{__isa_bits} = "64" ]; then

I rather prefer the first notation.

> - Same error repeats during make's operations:
>  Error: ImportError: No module named alembic (line 13)
This is from epydoc when generating documentation, when it try to evaluate the code. It is harmless as doc for those 3rd party modules are not generated anyway.
To get rid I would have to copy all BR to R, which I hesitate to do, as it is really not needed.


>- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
>  or number of files.
>  Note: Documentation size is 5509120 bytes in 294 files.
>  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
This is bug of rpm, see bug 728959 and 1078760.

Updated:
Spec URL: http://miroslav.suchy.cz/copr/copr-frontend.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-frontend-1.36-1.fc20.src.rpm

Comment 5 Antonio T. (sagitter) 2014-05-21 16:04:06 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 5478400 bytes in 294 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 57 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1077794-copr-frontend/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in copr-
     frontend-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: copr-frontend-1.36-1.fc21.noarch.rpm
          copr-frontend-doc-1.36-1.fc21.noarch.rpm
          copr-frontend-1.36-1.fc21.src.rpm
copr-frontend.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/whooshee/copr_user_whoosheer copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/whooshee/copr_user_whoosheer copr-fe
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data copr-fe
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr_unit_test.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr_unit_test.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr_unit_test.conf 0600L
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr_devel.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr_devel.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr_devel.conf 0600L
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/copr.db copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/copr.db copr-fe
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr.conf 0600L
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/openid_store copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/openid_store copr-fe
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/whooshee copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/whooshee copr-fe
copr-frontend-doc.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-frontend.src: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-frontend.src: W: invalid-url Source0: copr-frontend-1.36.tar.gz
3 packages and 0 specfiles checked; 3 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint copr-frontend copr-frontend-doc
copr-frontend.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/whooshee/copr_user_whoosheer copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/whooshee/copr_user_whoosheer copr-fe
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data copr-fe
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr_unit_test.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr_unit_test.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr_unit_test.conf 0600L
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr_devel.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr_devel.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr_devel.conf 0600L
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/copr.db copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/copr.db copr-fe
copr-frontend.noarch: W: non-standard-uid /etc/copr/copr.conf copr-fe
copr-frontend.noarch: W: non-standard-gid /etc/copr/copr.conf copr-fe
copr-frontend.noarch: E: non-readable /etc/copr/copr.conf 0600L
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/openid_store copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/openid_store copr-fe
copr-frontend.noarch: W: non-standard-uid /var/lib/copr/data/whooshee copr-fe
copr-frontend.noarch: W: non-standard-gid /var/lib/copr/data/whooshee copr-fe
copr-frontend-doc.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
2 packages and 0 specfiles checked; 3 errors, 18 warnings.
# echo 'rpmlint-done:'



Requires
--------
copr-frontend (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    config(copr-frontend)
    httpd
    mod_wsgi
    passwd
    pytest
    python-alembic
    python-blinker
    python-decorator
    python-flask
    python-flask-openid
    python-flask-script
    python-flask-sqlalchemy
    python-flask-whooshee
    python-flask-wtf
    python-flexmock
    python-markdown
    python-psycopg2
    python-pylibravatar
    python-whoosh
    pytz
    yum

copr-frontend-doc (rpmlib, GLIBC filtered):



Provides
--------
copr-frontend:
    config(copr-frontend)
    copr-frontend

copr-frontend-doc:
    copr-frontend-doc



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1077794
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Miroslav Suchý 2014-05-22 08:05:39 UTC
Thanks.

Comment 7 Miroslav Suchý 2014-05-22 08:06:47 UTC
New Package SCM Request
=======================
Package Name: copr-frontend
Short Description: Frontend for Copr
Owners: msuchy
Branches: f19 f20
InitialCC:

Comment 8 Gwyn Ciesla 2014-05-22 10:10:52 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-08-27 09:51:43 UTC
copr-frontend-1.44-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/copr-frontend-1.44-1.fc20

Comment 10 Fedora Update System 2014-08-27 09:52:12 UTC
copr-frontend-1.44-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/copr-frontend-1.44-1.fc19

Comment 11 Fedora Update System 2014-08-28 15:30:09 UTC
copr-frontend-1.44-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2014-09-09 22:16:00 UTC
copr-frontend-1.44-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-09-09 22:20:30 UTC
copr-frontend-1.44-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.